package com.goldenwater.web.controller.pms;

import com.goldenwater.slgc.entity.pms.PmsPhase;
import com.goldenwater.slgc.service.pms.IPmsPhaseService;
import com.goldenwater.common.core.controller.BaseController;
import com.goldenwater.common.core.domain.AjaxResult;
import com.goldenwater.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.goldenwater.common.annotation.Log;
import com.goldenwater.common.enums.BusinessType;
import org.springframework.validation.annotation.Validated;

import java.util.List;

@RestController
@Validated
@RequestMapping("/pms/phase")
public class PmsPhaseController extends BaseController {
    @Autowired
    private IPmsPhaseService pmsPhaseService;

    /**
     * 查询阶段列表
     */
    @GetMapping("/list")
    public TableDataInfo list(PmsPhase phase) {
        startPage();
        List<PmsPhase> list = pmsPhaseService.selectList(phase);
        return getDataTable(list);
    }

    /**
     * 获取阶段详细信息
     */
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return success(pmsPhaseService.selectById(id));
    }

    /**
     * 新增阶段
     */
    @Log(title = "阶段管理", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody PmsPhase phase) {
        return toAjax(pmsPhaseService.insert(phase));
    }

    /**
     * 修改阶段
     */
    @Log(title = "阶段管理", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody PmsPhase phase) {
        return toAjax(pmsPhaseService.update(phase));
    }

    /**
     * 删除阶段
     */
    @Log(title = "阶段管理", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(pmsPhaseService.deleteByIds(ids));
    }
}
